## telepathy-logger-qt 15.04.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(TelepathyLoggerQt)

# ECM setup
find_package(ECM 1.6.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${TelepathyLoggerQt_SOURCE_DIR}/cmake/modules")

include(GenerateExportHeader)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)

include(Doxygen)

set(TELEPATHY_LOGGER_QT_VERSION "0.9.80.0")

ecm_setup_version(${TELEPATHY_LOGGER_QT_VERSION} VARIABLE_PREFIX TelepathyLoggerQt
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/TelepathyLoggerQt_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/TelepathyLoggerQtConfigVersion.cmake"
                  SOVERSION 5
)

# TelepathyLoggerQt specific defines needed to trigger deprecation warnings
if (CXX_DEPRECATED_DECLARATIONS)
    set(DEPRECATED_DECLARATIONS_FLAGS "${DEPRECATED_DECLARATIONS_FLAGS} -DTELEPATHY_LOGGER_QT_DEPRECATED_WARNINGS")
endif (CXX_DEPRECATED_DECLARATIONS)

################# Find packages #####################
set(QT5_MIN_VERSION "5.2")
find_package(Qt5 ${QT5_MIN_VERSION} REQUIRED COMPONENTS Core DBus Network Xml)

set(TELEPATHY_QT_MIN_VERSION "0.9.1")
find_package(TelepathyQt5 ${TELEPATHY_QT_MIN_VERSION} REQUIRED)
set_package_properties(TelepathyQt5 PROPERTIES
                       DESCRIPTION "Qt bindings for Telepathy"
                       URL "http://telepathy.freedesktop.org"
                       TYPE REQUIRED)

find_package(GLIB2 REQUIRED)
set_package_properties(GLIB2 PROPERTIES
                       DESCRIPTION "A library containing many useful C routines"
                       URL "http://developer.gnome.org/glib/"
                       TYPE REQUIRED)

find_package(GObject REQUIRED)
set_package_properties(GObject PROPERTIES
                       DESCRIPTION "GLib Object System"
                       URL "http://developer.gnome.org/glib/"
                       TYPE REQUIRED)

find_package(DBus REQUIRED)
set_package_properties(DBus PROPERTIES
                       DESCRIPTION "Inter-process communication system"
                       URL "http://dbus.freedesktop.org"
                       TYPE REQUIRED)

find_package(DBusGLib REQUIRED)
set_package_properties(DBusGLib PROPERTIES
                       DESCRIPTION "GLib bindings for DBus"
                       URL "http://dbus.freedesktop.org"
                       TYPE REQUIRED)

find_package(LibXml2 REQUIRED)
set_package_properties(LibXml2 PROPERTIES
                       DESCRIPTION "XML C parser and toolkit"
                       URL "http://www.xmlsoft.org"
                       TYPE REQUIRED)

# Find telepathy-glib
set(TELEPATHY_GLIB_MIN_VERSION 0.16.0)
find_package(TelepathyGlib ${TELEPATHY_GLIB_MIN_VERSION} REQUIRED)
set_package_properties(TelepathyGlib PROPERTIES
                       DESCRIPTION "Glib bindings for Telepathy"
                       URL "http://telepathy.freedesktop.org"
                       TYPE REQUIRED)

# Find python version >= 2.5
find_package(PythonLibrary REQUIRED)
set(REQUIRED_PY 2.5)
if(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR ${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
    message(STATUS "Python ${PYTHON_SHORT_VERSION} found")
else(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR ${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
    message(SEND_ERROR "Python >= ${REQUIRED_PY} is required")
endif(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR ${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
set_package_properties(PythonLibrary PROPERTIES
                       DESCRIPTION "Python Library"
                       URL "http://www.python.org"
                       TYPE REQUIRED)

# Find TelepathyLogger >= 0.8.0
set(TELEPATHY_LOGGER_MIN_VERSION 0.8.0)
find_package(TelepathyLogger ${TELEPATHY_LOGGER_MIN_VERSION} REQUIRED)
set_package_properties(TelepathyLogger PROPERTIES
                       DESCRIPTION "Daemon for logging Telepathy conversations"
                       URL "http://telepathy.freedesktop.org"
                       TYPE REQUIRED)
# Generate a helper include file that defines current TPL version
ecm_setup_version(${TELEPATHY_LOGGER_VERSION} VARIABLE_PREFIX TelepathyLogger
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/TelepathyLogger_version.h")

################# Targets ####################

# Prevent conflicts between Glib and Qt
add_definitions(-DQT_NO_KEYWORDS)


# Add the source subdirectories
add_subdirectory(TelepathyLoggerQt)
#add_subdirectory(tests)
#add_subdirectory(tools)


############### CMake Config Files ####################

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/TelepathyLoggerQt")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/TelepathyLoggerQt/TelepathyLoggerQtConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/TelepathyLoggerQt/TelepathyLoggerQtConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/TelepathyLoggerQt/TelepathyLoggerQtConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/TelepathyLoggerQtConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT DEVEL
)

install(EXPORT TelepathyLoggerQtTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE TelepathyLoggerQtTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/TelepathyLoggerQt_version.h"
    "${CMAKE_CURRENT_BINARY_DIR}/TelepathyLogger_version.h"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/TelepathyLoggerQt"
    COMPONENT Devel)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tools/CMakeLists.txt ===
# Some useful commands
add_custom_command(OUTPUT FIXME.out

                   COMMAND egrep

                   ARGS -A 5 '[F]IXME|[T]ODO|[X]XX'  ${CMAKE_SOURCE_DIR}/TelepathyQt/*.[ch]*
                         ${CMAKE_SOURCE_DIR}/TelepathyQt/*.[ch]*
                        > FIXME.out || true)
add_custom_target(check-local DEPENDS FIXME.out)

execute_process(COMMAND ${SH} tools/git-which-branch.sh misc | tr -d '\n' | tr -C "[:alnum:]" _
                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                OUTPUT_VARIABLE GIT_BRANCH_CURRENT)

if (GIT_BRANCH_CURRENT)
    string(LENGTH ${GIT_BRANCH_CURRENT} HAVE_GIT_BRANCH)

    if (HAVE_GIT_BRANCH)
        string(REPLACE "\n" "" GIT_BRANCH_CURRENT ${GIT_BRANCH_CURRENT})

        set(UPLOAD_BRANCH_TO people.freedesktop.org:public_html/telepathy-qt)

        add_custom_target(upload-branch-docs rsync -rtzvPp --chmod=a+rX doc/html/ ${UPLOAD_BRANCH_TO}-${GIT_BRANCH_CURRENT}
                                            WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
        add_dependencies(upload-branch-docs doxygen-doc)
    endif (HAVE_GIT_BRANCH)
endif (GIT_BRANCH_CURRENT)

if (PERL_FOUND)
    add_custom_target(maintainer-fix-qt-links-in-docs
        ${PERL_EXECUTABLE} doc/html/installdox -l qt.tags@http://doc.qt.nokia.com/latest/ doc/html/*.html

        WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
    add_dependencies(maintainer-fix-qt-links-in-docs doxygen-doc _maintainer-upload-release-check)
endif (PERL_FOUND)

add_custom_target(maintainer-upload-release-docs
        rsync -rtOvzPp --chmod=Dg+s,ug+rwX,o=rX doc/html/ telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/doc/telepathy-qt/

        WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

if (PERL_FOUND)
    add_dependencies(maintainer-upload-release-docs maintainer-fix-qt-links-in-docs)
else (PERL_FOUND)
    add_dependencies(maintainer-upload-release-docs doxygen-doc _maintainer-upload-release-check)
endif (PERL_FOUND)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/maintainer-upload-release-check.sh "
#!/bin/sh
case ${PACKAGE_VERSION} in
        (*.*.*.*)
                echo \"${PACKAGE_VERSION} is not a release\" >&2;
                exit 2;
                ;;
esac
test -f ${CMAKE_BINARY_DIR}/${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz
if ! test -f ${CMAKE_BINARY_DIR}/${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz.asc; then
    gpg --detach-sign -a ${CMAKE_BINARY_DIR}/${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz;
fi;
gpg --verify ${CMAKE_BINARY_DIR}/${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz.asc
")

add_custom_target(_maintainer-upload-release-check ${SH} ${CMAKE_CURRENT_BINARY_DIR}/maintainer-upload-release-check.sh)

add_custom_target(maintainer-upload-release
        rsync -vzP ${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz
telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/releases/${PACKAGE_NAME}/${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz
        COMMAND
        rsync -vzP ${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz.asc
telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/releases/${PACKAGE_NAME}/${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz.asc
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

add_dependencies(maintainer-upload-release _maintainer-upload-release-check maintainer-upload-release-docs)


set(toolchain_files
    c-constants-gen.py
    check-misc.sh
    check-whitespace.sh
    git-which-branch.sh
    glib-ginterface-gen.py
    glib-gtypes-generator.py
    glib-interfaces-gen.py
    glib-signals-marshal-gen.py
    libtpcodegen.py
    libglibcodegen.py
    libqtcodegen.py
    qt-client-gen.py
    qt-constants-gen.py
    qt-types-gen.py
    manager-file.py
    with-session-bus.sh
    xincludator.py
)

string(REPLACE "." " " sh_toolchain_files ${toolchain_files})

set(TELEPATHY_SPEC_SRCDIR ${CMAKE_SOURCE_DIR}/../telepathy-spec)
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/maintainer-update-from-telepathy-spec.sh "
#!/bin/sh
set -e
cd ${CMAKE_SOURCE_DIR}
for x in ${sh_toolchain_files}; do
    if test -f ${TELEPATHY_SPEC_SRCDIR}/tools/$$x; then
        cp ${TELEPATHY_SPEC_SRCDIR}/tools/$$x $$x;
    fi;
done
")
add_custom_target(maintainer-update-from-telepathy-spec ${SH} ${CMAKE_CURRENT_BINARY_DIR}/maintainer-update-from-telepathy-spec.sh
                  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

set(TELEPATHY_GLIB_SRCDIR ${CMAKE_SOURCE_DIR}/../telepathy-glib)
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/maintainer-update-from-telepathy-glib.sh "
#!/bin/sh
set -e
cd ${CMAKE_SOURCE_DIR}
for x in ${sh_toolchain_files}; do
    if test -f ${TELEPATHY_GLIB_SRCDIR}/tools/$$x; then
        cp ${TELEPATHY_GLIB_SRCDIR}/tools/$$x $$x;
    fi;
done
")
add_custom_target(maintainer-update-from-telepathy-glib ${SH} ${CMAKE_CURRENT_BINARY_DIR}/maintainer-update-from-telepathy-glib.sh
                  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== debian/changelog ===
telepathy-logger-qt (15.04.0-0ubuntu1) wily; urgency=medium

  * Port to wily. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 15 May 2015 22:01:22 -0700

telepathy-logger-qt (15.04.0-0ubuntu1~ubuntu15.04~ppa1) vivid; urgency=medium

  * New upstream Qt 5 release
  * Packages dropped their qt version suffix and gained a soversion 5
  * Watch file updated to unstable path
  * PPA build

 -- Harald Sitter <sitter@kde.org>  Mon, 09 Mar 2015 10:46:14 +0100

telepathy-logger-qt (15.04.0-1~) UNRELEASED; urgency=medium

  [ Diane Trout ]
  * Update watch file

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * New upstream release (15.04.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Apr 2015 15:37:27 +0200

telepathy-logger-qt (0.8.0-3) unstable; urgency=medium

  * Update symbols file
  * Possibly an alternate solution to (Closes: #751504)
    (Thank you to Andreas Barth reporting)

 -- Diane Trout <diane@ghic.org>  Sat, 13 Sep 2014 15:22:12 -0700

telepathy-logger-qt (0.8.0-2) unstable; urgency=medium

  * Update symbols file. (Closes: #749013)

 -- Diane Trout <diane@ghic.org>  Wed, 11 Jun 2014 14:37:11 -0700

telepathy-logger-qt (0.8.0-1) unstable; urgency=medium

  * Import 0.8.0
  * Remove 01_no_useless_linking.diff. Fixed upstream.
  * Update Standards-Version to 3.9.5. No changes needed.
  * Update libtelepathy-logger-qt4-1 symbols file for 0.8.0.
  * Update debian/copyright with new author.
  * Add breaks: libktpcommoninternalsprivate7 (<< 0.7.80~)

 -- Diane Trout <diane@ghic.org>  Thu, 15 May 2014 15:01:39 -0700

telepathy-logger-qt (0.6.0-2) unstable; urgency=low

  * Team upload.

  [ Diane Trout ]
  * Use pkg-kde-tools to help manage symbols file.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Re generate the symbols with the pkg-kde helper. This will make it easier
    to handle them in the future.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 12 Jul 2013 11:47:07 -0300

telepathy-logger-qt (0.6.0-1) unstable; urgency=low

  [ Diane Trout ]
  * Install cmake files into common cmake directory
  * Update watch file for new upstream location.
  * Change Uploaders to myself and Michał Zając
  * Credit George Kiagiadakis for 01_no_useless_linking.diff
  * Add symbols file for libtelepathy-logger-qt4-1
  * Update to Standards-Version 3.9.4. No changes needed.
  * Update control file with minor edits.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Mark some symbols as optional.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 08 Jul 2013 13:53:51 -0300

=== debian/control ===
Source: telepathy-logger-qt
Section: libs
Priority: optional
Maintainer: Kubuntu/Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               extra-cmake-modules (>= 1.6.0~),
               flex,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libqtgstreamer-dev,
               libtelepathy-glib-dev (>= 0.18),
               libtelepathy-logger-dev (>= 0.8.0~),
               libtelepathy-qt5-dev (>= 0.9.1~),
               libxml2-dev,
               pkg-kde-tools (>= 0.12),
               python (>= 2.6),
               python-dev,
               qtbase5-dev (>= 5.2~)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/telepathy-logger-qt
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/telepathy-logger-qt.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kde-telepathy/telepathy-logger-qt.git

Package: libtelepathy-logger-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt bindings for the telepathy-logger library
 This library provides Qt-style C++ bindings for the telepathy-logger library.
 .
 The telepathy-logger library provides access to IM chat and event logs
 that are recorded by the telepathy-logger daemon.

Package: libtelepathy-logger-qt-dev
Section: libdevel
Architecture: any
Depends: libqtgstreamer-dev,
         libtelepathy-logger-qt5 (= ${binary:Version}),
         libtelepathy-qt5-dev,
         libtelepathy-qt5-dev (>= 0.9.1~),
         ${misc:Depends}
Description: Qt bindings for the telepathy-logger library - development files
 This library provides Qt-style C++ bindings for the telepathy-logger library.
 .
 The telepathy-logger library provides access to IM chat and event logs
 that are recorded by the telepathy-logger daemon.
 .
 This package provides the development headers for compiling applications
 that are using telepathy-logger-qt.

Package: libtelepathy-logger-qt-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libtelepathy-logger-qt5 (= ${binary:Version}), ${misc:Depends}
Description: Qt bindings for the telepathy-logger library - debug symbols
 This package provides debug symbols for the telepathy-logger-qt library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

%:
	dh $@ --with kde --buildsystem=kde --parallel --list-missing --dbg-package=libtelepathy-logger-qt-dbg

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- -DBUILD_SHARED_LIBS=1 -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" $(CMAKE_FLAGS)

override_dh_clean:
	$(overridden_command)
	rm -f tools/*.pyc

=== debian/watch ===
version=3
http://download.kde.org/stable/telepathy-logger-qt/([\d.]+)/src/telepathy-logger-qt-([\d.]+)\.tar\.(?:bz2|xz)

## telepathy-logger-qt 17.08.0

=== tests/CMakeLists.txt ===
include (${QT_USE_FILE})

include_directories (${PROJECT_SOURCE_DIR})

include_directories (${PROJECT_SOURCE_DIR} /usr/include/QtGStreamer)

link_directories (${PROJECT_BINARY_DIR}/QTpLogger)

add_executable (QTpLogger-test dummy-main.cpp)

target_link_libraries (QTpLogger-test telepathy-logger-qt4 ${QT_LIBRARIES})

=== debian/changelog ===
telepathy-logger-qt (17.08.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:37 +0100

telepathy-logger-qt (17.08.0-4) unstable; urgency=medium

  * Team upload.
  * QtGStreamer is not used by this package so:
    - remove the libqt5gstreamer-dev build dependency
    - remove the libqt5gstreamer-dev dependency in libtelepathy-logger-qt-dev

 -- Pino Toscano <pino@debian.org>  Sun, 24 Nov 2019 10:06:37 +0100

telepathy-logger-qt (17.08.0-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields.
  * Add the configuration for the CI on salsa.
  * Remove the unused python-dev build dependency.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - stop passing --list-missing to dh_missing, as it is the default
  * Backport all the 4 upstream commits after 17.08.0, to port the scripts
    to Python 3, and improve the cmake build system:
    - commit bd8fcb701645626ce6c442601b009b5dbda22531; patch
      upstream_Tools-Sync-with-TelepathyQt-make-compatible-with-Pyt.patch
    - commit 5a1c86291a631a2ec961a0c1b4cc31fd0db1e2f6; patch
      upstream_CMake-Bump-CMake-minimum-version-to-3.5.patch
    - commit fbb9cc9a31141629097ce1182f131e32f72ddfea; patch
      upstream_CMake-Remove-own-FindLibXml2.patch
    - commit cae0e0254e88899e83bc707a6caf69e7b414aa46; patch
      upstream_CMake-Remove-own-FindPython-modules-use-standard-Fin.patch
    - as result:
      - switch the python build dependency with python3:any (Closes: #938640)
      - bump the cmake build dependency to 3.5
  * Stop passing the -DBUILD_SHARED_LIBS=1 cmake parameter, as it is not used.
  * Update symbols file.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 19 Nov 2019 21:57:03 +0100

telepathy-logger-qt (17.08.0-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Pass --list-missing directly to dh_missing.
  * Remove the unused 'testsuite' autopkgtest.
  * Add the allow-stderr restriction to the 'acc' autopkgtest, since it is
    expected as normal output.
  * Place the upstream version automatically when creating the .acc files from
    .acc.in files.

 -- Pino Toscano <pino@debian.org>  Mon, 30 Apr 2018 06:33:50 +0200

telepathy-logger-qt (17.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove obsolete dpkg-dev build dependency.
  * Remove libtelepathy-logger-qt-dbg in favour of the -dbgsym packages.
  * Bump libtelepathy-qt5-dev build & runtime dependency to >= 0.9.7.
  * Remove the unused bison, and flex build dependencies.
  * Stop using the kde dh addon, and the kde buildsystem, since they both are
    for kdelibs 4.x stuff.
  * Update symbols file.
  * Stop passing USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR, and LIB_SUFFIX variables
    to cmake, as they are not used anymore.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:31:51 +0100

telepathy-logger-qt (15.04.0-2) unstable; urgency=medium

  * Update symbols file. (Closes: #811971)
  * Update Standards-Version to 3.9.8.0, no changes needed.
  * Update Vcs-* tags to use https

 -- Diane Trout <diane@debian.org>  Fri, 06 Jan 2017 23:47:20 -0800

telepathy-logger-qt (15.04.0-1) unstable; urgency=medium

  [ Diane Trout ]
  * Update watch file
  * Update build dependencies to use libqt5gstreamer-dev
  * Update symbols files
  * Remove unnecessary XS-Testsuite field from debian/control.
  * Update Diane Trout's email address.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * New upstream release (15.04.0).

 -- Diane Trout <diane@debian.org>  Fri, 06 Nov 2015 22:12:23 -0800

=== debian/control ===
Source: telepathy-logger-qt
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@debian.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.6.0~),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libtelepathy-glib-dev (>= 0.18),
               libtelepathy-logger-dev (>= 0.8.0~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               libxml2-dev,
               pkg-kde-tools (>= 0.12),
               python3:any,
               qtbase5-dev (>= 5.2~)
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/telepathy-logger-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/telepathy-logger-qt.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/telepathy-logger-qt

Package: libtelepathy-logger-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt bindings for the telepathy-logger library
 This library provides Qt-style C++ bindings for the telepathy-logger library.
 .
 The telepathy-logger library provides access to IM chat and event logs
 that are recorded by the telepathy-logger daemon.

Package: libtelepathy-logger-qt-dev
Section: libdevel
Architecture: any
Depends: libtelepathy-logger-qt5 (= ${binary:Version}),
         libtelepathy-qt5-dev (>= 0.9.7~),
         ${misc:Depends}
Description: Qt bindings for the telepathy-logger library - development files
 This library provides Qt-style C++ bindings for the telepathy-logger library.
 .
 The telepathy-logger library provides access to IM chat and event logs
 that are recorded by the telepathy-logger daemon.
 .
 This package provides the development headers for compiling applications
 that are using telepathy-logger-qt.

=== debian/watch ===
version=4
https://download.kde.org/stable/telepathy-logger-qt/([\d.]+)/src/telepathy-logger-qt-([\d.]+)\.tar\.xz

## telepathy-logger-qt 17.09.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.5)
 
 project(TelepathyLoggerQt)
 
@@ -37,31 +37,31 @@
 find_package(TelepathyQt5 ${TELEPATHY_QT_MIN_VERSION} REQUIRED)
 set_package_properties(TelepathyQt5 PROPERTIES
                        DESCRIPTION "Qt bindings for Telepathy"
-                       URL "http://telepathy.freedesktop.org"
+                       URL "https://telepathy.freedesktop.org"
                        TYPE REQUIRED)
 
 find_package(GLIB2 REQUIRED)
 set_package_properties(GLIB2 PROPERTIES
                        DESCRIPTION "A library containing many useful C routines"
-                       URL "http://developer.gnome.org/glib/"
+                       URL "https://developer.gnome.org/glib/"
                        TYPE REQUIRED)
 
 find_package(GObject REQUIRED)
 set_package_properties(GObject PROPERTIES
                        DESCRIPTION "GLib Object System"
-                       URL "http://developer.gnome.org/glib/"
+                       URL "https://developer.gnome.org/glib/"
                        TYPE REQUIRED)
 
 find_package(DBus REQUIRED)
 set_package_properties(DBus PROPERTIES
                        DESCRIPTION "Inter-process communication system"
-                       URL "http://dbus.freedesktop.org"
+                       URL "https://dbus.freedesktop.org"
                        TYPE REQUIRED)
 
 find_package(DBusGLib REQUIRED)
 set_package_properties(DBusGLib PROPERTIES
                        DESCRIPTION "GLib bindings for DBus"
-                       URL "http://dbus.freedesktop.org"
+                       URL "https://dbus.freedesktop.org"
                        TYPE REQUIRED)
 
 find_package(LibXml2 REQUIRED)
@@ -75,28 +75,33 @@
 find_package(TelepathyGlib ${TELEPATHY_GLIB_MIN_VERSION} REQUIRED)
 set_package_properties(TelepathyGlib PROPERTIES
                        DESCRIPTION "Glib bindings for Telepathy"
-                       URL "http://telepathy.freedesktop.org"
+                       URL "https://telepathy.freedesktop.org"
                        TYPE REQUIRED)
 
-# Find python version >= 2.5
-find_package(PythonLibrary REQUIRED)
-set(REQUIRED_PY 2.5)
-if(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR ${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
-    message(STATUS "Python ${PYTHON_SHORT_VERSION} found")
-else(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR ${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
-    message(SEND_ERROR "Python >= ${REQUIRED_PY} is required")
-endif(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR ${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
-set_package_properties(PythonLibrary PROPERTIES
-                       DESCRIPTION "Python Library"
-                       URL "http://www.python.org"
-                       TYPE REQUIRED)
+# Find python
+if(${CMAKE_VERSION} VERSION_LESS 3.12)
+    find_package(PythonInterp 3 REQUIRED)
+    set_package_properties(PythonInterp PROPERTIES
+                           DESCRIPTION "Python Interpreter"
+                           URL "https://www.python.org"
+                           TYPE REQUIRED)
+
+    # PythonInterp exposes PYTHON_EXECUTABLE on its own
+else()
+    find_package(Python3 REQUIRED)
+    set_package_properties(Python3 PROPERTIES
+                           DESCRIPTION "Python Interpreter"
+                           URL "https://www.python.org"
+                           TYPE REQUIRED)
+    set(PYTHON_EXECUTABLE "${Python3_EXECUTABLE}")
+endif()
 
 # Find TelepathyLogger >= 0.8.0
 set(TELEPATHY_LOGGER_MIN_VERSION 0.8.0)
 find_package(TelepathyLogger ${TELEPATHY_LOGGER_MIN_VERSION} REQUIRED)
 set_package_properties(TelepathyLogger PROPERTIES
                        DESCRIPTION "Daemon for logging Telepathy conversations"
-                       URL "http://telepathy.freedesktop.org"
+                       URL "https://telepathy.freedesktop.org"
                        TYPE REQUIRED)
 # Generate a helper include file that defines current TPL version
 ecm_setup_version(${TELEPATHY_LOGGER_VERSION} VARIABLE_PREFIX TelepathyLogger

=== TelepathyLoggerQt/CMakeLists.txt ===
include(TpQtMacros)
include(TpLoggerQtMacros)

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/_gen")

# Sources for Tp-Logger-Qt
set(telepathy_logger_qt_SRCS
    call-event.cpp
    entity.cpp
    event.cpp
    log-manager.cpp
    log-walker.cpp
    pending-dates.cpp
    pending-entities.cpp
    pending-events.cpp
    pending-clear.cpp
    pending-operation.cpp
    pending-search.cpp
    pending-log-walker-operation.cpp
    search-hit.cpp
    text-event.cpp
    utils.cpp
    init.cpp
    object.cpp
)


####################### Codegen #######################

# The escape character in MSVC is ^
if(MSVC)
    set(TYPES_INCLUDE ^"types.h^" )
    set(GLOBAL_INCLUDE ^"global.h^" )
    set(LOGGER_EXTRA_INCLUDES ^"types.h^" )
else(MSVC)
    set(TYPES_INCLUDE '\"types.h\"' )
    set(GLOBAL_INCLUDE '\"global.h\"' )
    set(LOGGER_EXTRA_INCLUDES '\"types.h\"' )
endif(MSVC)


add_custom_target(all-generated-sources)

# Generate stable spec
set(gen_stable_spec_xml ${CMAKE_CURRENT_BINARY_DIR}/_gen/stable-spec.xml)
tpqt_xincludator(stable-ifaces-includator ${CMAKE_CURRENT_SOURCE_DIR}/stable-interfaces.xml
                 ${gen_stable_spec_xml})
tpqt_constants_gen(stable-constants ${gen_stable_spec_xml} ${CMAKE_CURRENT_BINARY_DIR}/_gen/constants.h
                   --namespace=Tpl
                   --define-prefix=TP_LOGGER_QT_
                   DEPENDS stable-ifaces-includator
)
tpqt_types_gen(stable-typesgen ${gen_stable_spec_xml}
               ${CMAKE_CURRENT_BINARY_DIR}/_gen/types.h ${CMAKE_CURRENT_BINARY_DIR}/_gen/types-body.hpp
               Tpl TelepathyLoggerQt/types.h TelepathyLoggerQt/Types
               --must-define=
               --visibility=TELEPATHY_LOGGER_QT_EXPORT
               --extraincludes=${GLOBAL_INCLUDE}
               DEPENDS stable-constants
)

# Generate logger spec
tpqt_xincludator(logger-ifaces-includator ${CMAKE_CURRENT_SOURCE_DIR}/logger.xml
                 ${CMAKE_CURRENT_BINARY_DIR}/_gen/spec-logger.xml
                 DEPENDS stable-typesgen
)
# define generate_cli-logger-body target
tpqt_client_generator(logger clientlogger log-manager.h Tpl
                      --typesnamespace=Tpl
                      --realinclude=log-manager.h
                      --prettyinclude=
                      --must-define=
                      --visibility=TELEPATHY_LOGGER_QT_EXPORT
                      DEPENDS logger-ifaces-includator
)

set(telepathy_logger_qt_GEN_HEADERS
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/types.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-logger.h
)

# Run moc on the newly generated files
qt5_wrap_cpp(telepathy_logger_qt_SRCS ${telepathy_logger_qt_GEN_HEADERS})

################# Add target ##########################

add_library(telepathy-logger-qt SHARED
    ${telepathy_logger_qt_SRCS}
)
add_dependencies(telepathy-logger-qt generate_cli-logger-body)

generate_export_header(telepathy-logger-qt EXPORT_FILE_NAME TelepathyLoggerQt_export.h)

# Link
target_link_libraries(telepathy-logger-qt
LINK_PUBLIC
    Qt5::Core
    Qt5::DBus
    ${TELEPATHY_QT5_LIBRARIES}
LINK_PRIVATE
    ${GLIB2_LIBRARIES}
    ${GOBJECT_LIBRARIES}
    -lgio-2.0
    ${QT_QTDBUS_LIBRARY}
    ${TELEPATHY_GLIB_LIBRARIES}
    ${TELEPATHY_LOGGER_LIBRARIES}
)

if (ENABLE_COMPILER_COVERAGE)
    target_link_libraries(telepathy-logger-qt gcov)
endif (ENABLE_COMPILER_COVERAGE)


target_include_directories(telepathy-logger-qt PRIVATE
    $<BUILD_INTERFACE:${TelepathyLoggerQt_SOURCE_DIR}>
    $<BUILD_INTERFACE:${TelepathyLoggerQt_BINARY_DIR}>
    ${GLIB2_INCLUDE_DIR}
    ${DBUS_GLIB_INCLUDE_DIR}
    ${TELEPATHY_GLIB_INCLUDE_DIR}
    ${TELEPATHY_QT5_INCLUDE_DIR}
    ${TELEPATHY_LOGGER_INCLUDE_DIR}
)
target_include_directories(telepathy-logger-qt INTERFACE
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/TelepathyLoggerQt>
    ${GLIB2_INCLUDE_DIR}
    ${TELEPATHY_QT5_INCLUDE_DIR}
)


set(TELEPATHY_LOGGER_QT_DEFINITIONS  "-fexceptions")
target_compile_options(telepathy-logger-qt INTERFACE $<INSTALL_INTERFACE:${TELEPATHY_LOGGER_QT_DEFINITIONS}>)


# Set the correct version number
set_target_properties(telepathy-logger-qt PROPERTIES
    SOVERSION ${TelepathyLoggerQt_SOVERSION}
    VERSION ${TelepathyLoggerQt_VERSION_STRING}
    EXPORT_NAME TelepathyLoggerQt
)

tplqt_generate_headers(TelepathyLoggerQt_CamelCase_HEADERS
  HEADER_NAMES
    CallEvent
    Entity
    Event
    Global
    Init
    LogManager
    LogWalker
    Object
    PendingDates
    PendingEntities
    PendingEvents
    PendingOperation
    PendingSearch
    SearchHit
    TextEvent
    Types
  REQUIRED_HEADERS TelepathyLoggerQt_HEADERS
)

install(FILES
    ${TelepathyLoggerQt_HEADERS}
    ${TelepathyLoggerQt_CamelCase_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/TelepathyLoggerQt_export.h"
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/TelepathyLoggerQt
    COMPONENT Devel)

install(TARGETS telepathy-logger-qt
        EXPORT  TelepathyLoggerQtTargets
        ${INSTALL_TARGETS_DEFAULT_ARGS})

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -81,7 +81,6 @@
     glib-ginterface-gen.py
     glib-gtypes-generator.py
     glib-interfaces-gen.py
-    glib-signals-marshal-gen.py
     libtpcodegen.py
     libglibcodegen.py
     libqtcodegen.py

=== debian/changelog ===
telepathy-logger-qt (17.09.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:02:49 +1100

telepathy-logger-qt (17.09.0-1build3) noble; urgency=medium

  * No-change rebuild against libtelepathy-glib0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 16:19:48 +1300

telepathy-logger-qt (17.09.0-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:16:16 +0000

telepathy-logger-qt (17.09.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:05:37 +0000

telepathy-logger-qt (17.09.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Tools-Sync-with-TelepathyQt-make-compatible-with-Pyt.patch:
      drop, backported from upstream
    - upstream_CMake-Bump-CMake-minimum-version-to-3.5.patch: drop, backported
      from upstream
    - upstream_CMake-Remove-own-FindLibXml2.patch: drop, backported from
      upstream
    - upstream_CMake-Remove-own-FindPython-modules-use-standard-Fin.patch:
      drop, backported from upstream
  * Bump Standards-Version to 4.5.0, no changes required.
  * Enable all the reprotest variations in the salsa CI.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Mar 2020 07:09:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: telepathy-logger-qt
 Section: libs
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@debian.org>,
            Michał Zając <quintasan@kubuntu.org>,
            Maximiliano Curia <maxy@debian.org>
@@ -18,7 +19,7 @@
                pkg-kde-tools (>= 0.12),
                python3:any,
                qtbase5-dev (>= 5.2~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/telepathy-logger-qt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/telepathy-logger-qt.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/telepathy-logger-qt

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f tools/*.pyc

override_dh_strip:
	dh_strip --dbgsym-migration='libtelepathy-logger-qt-dbg (<< 17.08.0~)'
